<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
class Sale extends Model
{
    //use HasFactory;

    // Permitimos asignación masiva
    protected $guarded = [];

    // Rel 1: Una venta la hace un Usuario
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    // Rel 2: Una venta pertenece a un Cliente
    public function client()
    {
        return $this->belongsTo(Client::class);
    }

    // Rel 3: Una venta tiene muchos items
    public function details()
    {
        return $this->hasMany(SaleDetail::class);
    }
}
